- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyCases/createManualCase#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyCases/createManualCase#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyCases/createManualCase#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyCases/createManualCase#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyCases/createManualCase#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyCases/createManualCase#body.LegacyCaseCreateManualCaseResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyCases/createManualCase#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyCases/createManualCase#body.aspect_1)
- [CasePriority](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyCases/createManualCase#CasePriority)

**Full name**: projects.locations.instances.legacyCases.createManualCase

Creates a case manually that appears in the case queue alongside automatically ingested alerts. Users can specify the title, priority, assigned user, initial entities, manual playbook attachment, and other fields without processing through the normal ingestion pipeline.

### HTTP request

`POST https://{endpoint}/v1alpha/{name}/legacyCases:createManualCase`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The resource name of the LegacyCase to retrieve. Format: projects/{project}/locations/{location}/instances/{instance}/LegacyCases |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "title": string, "reason": string, "environment": string, "assignedUser": string, "tags": [ string ], "playbooks": [ string ], "entities": [ { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/LegacyCaseApiSecurityEntityDataModel`) } ], "alertName": string, "occurenceTime": string, "dataAccessScope": string, "casePlaybooks": [ string ], "priority": enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyCases/createManualCase#CasePriority`), "slaExpirationDateTime": string, "isImportant": boolean, "automaticPlaybookAttachment": boolean } ``` |

| Fields ||
|---|---|
| `title` | `string` Required. Title is the title of the manual case. |
| `reason` | `string` Optional. Reason is the reason for the manual case. |
| `environment` | `string` Optional. Environment is the environment of the manual case. |
| `assignedUser` | `string` Required. AssignedUser is the user assigned to the manual case. |
| `tags[]` | `string` Optional. Tags is a list of tags for the manual case. |
| `playbooks[]` | `string` Optional. Playbooks is a list of playbook GUIDs for the manual case. |
| `entities[]` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/LegacyCaseApiSecurityEntityDataModel`)`` Optional. Entities is a list of entities for the manual case. |
| `alertName` | `string` Optional. AlertName is the name of the alert. |
| `occurenceTime` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#timestamp` format)`` Optional. OccurrenceTime is the occurrence time of the event. Represents DateTime OccurrenceTime as unix time Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: `"2014-10-02T15:01:23Z"`, `"2014-10-02T15:01:23.045123456Z"` or `"2014-10-02T15:01:23+05:30"`. |
| `dataAccessScope` | `string` Optional. DataAccessScope is the data access scope of the manual case. |
| `casePlaybooks[]` | `string` Optional. CasePlaybooks is a list of case playbook GUIDs for the manual case. |
| `priority` | ``enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyCases/createManualCase#CasePriority`)`` Optional. Priority is the priority of the manual case. |
| `slaExpirationDateTime` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#timestamp` format)`` Optional. SlaExpirationDateTime is the SLA expiration time. Represents DateTime SlaExpirationDateTime as unix time Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: `"2014-10-02T15:01:23Z"`, `"2014-10-02T15:01:23.045123456Z"` or `"2014-10-02T15:01:23+05:30"`. |
| `isImportant` | `boolean` Optional. IsImportant indicates if the case is important. |
| `automaticPlaybookAttachment` | `boolean` Optional. AutomaticPlaybookAttachment indicates if the case should be automatically attached to a playbook. |

### Response body

Response message for legacyCases.createManualCase.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "payload": string } ``` |

| Fields ||
|---|---|
| `payload` | `string (https://developers.google.com/discovery/v1/type-format format)` Output only. The id of the created case. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `chronicle.legacyCases.createManual`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).

## CasePriority

CasePriority represents the priority of a case. LINT.IfChange(CasePriority)

| Enums ||
|---|---|
| `UNCHANGED` | Unchanged case priority. |
| `LOW` | Low case priority. |
| `MEDIUM` | Medium case priority. |
| `HIGH` | High case priority. |
| `CRITICAL` | Critical case priority. |
| `INFORMATIVE` | Informative case priority. |